Bug 1816949 - After upgrading from F31 -> F32, lxc containers fail to start
Summary: After upgrading from F31 -> F32, lxc containers fail to start
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lxc
Version: 32
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-25 08:54 UTC by djcb
Modified: 2021-05-25 15:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 15:49:53 UTC
Type: Bug


Attachments (Terms of Use)

Description djcb 2020-03-25 08:54:50 UTC
Description of problem:

The lxc-containers that used to work fine with F31, no longer start when trying with F32 (beta).

Version-Release number of selected component (if applicable):

lxc 3.2.1.

Steps to Reproduce:

sudo lxc-start -n mycontainer  -F                       
[sudo] password for user: 
Failed to mount cgroup at /sys/fs/cgroup/systemd: Operation not permitted
[!!!!!!] Failed to mount API filesystems.
Exiting PID 1...

Comment 1 djcb 2020-04-09 07:33:27 UTC
If I disable the unified cgroup hierarchy, i.e.,
   sudo grub2-editenv - set "$(grub2-editenv - list | grep kernelopts) systemd.unified_cgroup_hierarchy=0"

lxc-start: mycontainer: cgroups/cgfsng.c: __do_cgroup_enter: 1500 No space left on device - Failed to enter cgroup "/sys/fs/cgroup/cpuset//lxc.monitor/mycontainer/cgroup.procs"

Comment 2 djcb 2020-04-09 07:39:09 UTC
Oh, but after the above change and downgrading to lxc 3.0.3, things work again.

Comment 3 Timotheus Pokorra 2020-05-30 06:26:24 UTC
see this related discussion:
https://discuss.linuxcontainers.org/t/cannot-launch-containers-with-lxd-3-15-and-lxc-3-2-1/5346/5

There is a patch mentioned: https://github.com/lxc/lxc/pull/3109/files

in the lxc.spec changelog I see:
* Mon Sep  9 2019 Thomas Moschny <thomas.moschny@gmx.de> - 3.0.4-2
- Add patches to fix cgroups cpuset initialization (rhbz#1750031).

Yes, the patch was dropped for 3.2.1 in https://src.fedoraproject.org/rpms/lxc/c/a47399361c68e7818883bb4fe13cf923814e588a?branch=master

Ok, the patch was probably dropped because part of it was already in the upstream tarball. But some of it is still missing.

I have built a copr of 3.2.1 plus the patch a47399361c68e7818883bb4fe13cf923814e588a, and it works again to start the container: https://copr.fedorainfracloud.org/coprs/tpokorra/lxc3/

Here is a pull request on pagure:
https://src.fedoraproject.org/rpms/lxc/pull-request/1

Comment 4 Timotheus Pokorra 2020-05-30 06:27:34 UTC
sorry, my comment was wrong, I did not apply patch a47399361c68e7818883bb4fe13cf923814e588a, but the patch from the upstream pull request:
https://github.com/lxc/lxc/commit/b31d62b847a3ee013613795094cce4acc12345ef.patch

Comment 5 Thomas Moschny 2020-11-14 17:03:42 UTC
An update to 4.0.5 has been created for F32: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f44601cdfd .

Please retry with that version.

Comment 6 Fedora Program Management 2021-04-29 16:15:26 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2021-05-25 15:49:53 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.